API referenceConversations

Mark read

POST
/v2/conversations/{id}/read

Moves this key’s member’s read marker to now.

Authorization

ApiKey
headerAuthorizationBearer <token>

An API key from Developers → API keys: Authorization: Bearer gauge_live_… (or pulse_k_live_…).

Path Parameters

id*string

The conversation id.

Formatuuid

Header Parameters

Gauge-Version?string

A dated version. Default 2026-10-21.

Idempotency-Key*string

Required on every POST. Retries with the same key replay the first response for 24 h.

Length1 <= length <= 255

Response Body

The new read marker.

application/json
  1. response
conversationId*string
Formatuuid
lastReadAt*string
Example Request
curl -X POST 'https://app.gauge.chat/api/v2/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/read' \  -H 'Idempotency-Key: string'
Example Response
{  "conversationId": "ee6e55e8-45fe-4a3e-9bc8-4669f9fdf77a",  "lastReadAt": "string"}